import argparse
import logger

from jgutils import music

logger = logging.getLogger(__name__)

def cli_music_convert(args):

    config = music.CovertionConfig(
        args.input_dir.resolve(),
        args.output_dir.resolve(),
        "mp3",
        "flac"
    )
    music.convert(config)

def main_cli():
    parser = argparse.ArgumentParser()
    subparsers = parser.add_subparsers(required=True)

    music_parser = subparsers.add_parser("music")
    music_subparsers = music_parser.add_subparsers(required=True)

    music_convert_parser = music_subparsers.add_parser("convert")
    music_convert_parser.add_argument(
        "--input_dir",
        type=Path,
        default=Path(),
        help="Directory with input files for conversion.",
    )

    music_convert_parser.add_argument(
        "--output_dir",
        type=Path, default=Path(),
        help="Directory for converted files"
    )
    music_convert_parser.set_defaults(func=cli_replace_in_files)

    logging.basicConfig()
    logging.getLogger().setLevel(logging.INFO)

    args = parser.parse_args()
    args.func(args)

if __name__ == "__main__":
    main_cli()
