import os
import logging
import shutil
from pathlib import Path
import uuid

logger = logging.getLogger(__name__)

def ffmpeg_convert(input_path: Path,
                       output_dir: Path,
                       output_ext: str) -> str:
    output_tmp = output_dir / (str(uuid.uuid4()) + f".{output_ext}")
    cmd = f"ffmpeg -i '{input_path}' -ab 320k -map_metadata 0 -id3v2_version 3 '{output_tmp}'"


def move(input_dir: Path, output_dir: Path):

    logger.info("Moving files in %s to %s", input_dir, output_dir)
    os.makedirs(output_dir, exist_ok=True)

    mp3_files = list(input_dir.resolve().rglob("*.mp3"))
    for idx, path in enumerate(mp3_files):
        logger.info("Moving file %d of %d", idx, len(mp3_files))
        relative_path = path.relative_to(input_dir)
        output_path = output_dir / relative_path
        os.makedirs(output_path.parent, exist_ok=True)
        shutil.move(path, output_path)


